%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d
%define subrel 1

Name:		p11-kit
Summary:	Load and enumerate PKCS#11 modules
Version:	0.11
Release:	%mkrel 1

Group:		System/Libraries
Url:		http://p11-glue.freedesktop.org/p11-kit.html
Source0:	http://p11-glue.freedesktop.org/releases/%{name}-%{version}.tar.gz
License:	Apache License

Requires(post): rpm-helper

%description
Provides a way to load and enumerate PKCS#11 modules. Provides a standard
configuration setup for installing PKCS#11 modules in such a way that
they're discoverable.

Also solves problems with coordinating the use of PKCS#11 by different
components or libraries living in the same process.

%package -n %{libname}
Summary:	Library and proxy module for properly loading and sharing PKCS#11 modules
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Provides a way to load and enumerate PKCS#11 modules. Provides a standard
configuration setup for installing PKCS#11 modules in such a way that
they're discoverable.

Also solves problems with coordinating the use of PKCS#11 by different
components or libraries living in the same process.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-rpath
%make

%install
%makeinstall_std

#dirs for configs etc
mkdir -p %{buildroot}%{_sysconfdir}/pkcs11/modules

#ghost files
touch %{buildroot}%{_sysconfdir}/pkcs11/pkcs11.conf

# we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%check
%make check

%post
%create_ghostfile %{_sysconfdir}/pkcs11/pkcs11.conf root root 644

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_sysconfdir}/pkcs11
%dir %{_sysconfdir}/pkcs11/modules
%{_sysconfdir}/pkcs11/pkcs11.conf.example
%ghost %config(noreplace) %{_sysconfdir}/pkcs11/pkcs11.conf

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-1
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-1.pc


%changelog

* Wed May 30 2012 dams <dams> 0.11-1.1.mga2
+ Revision: 249607
- add a 'requires(post)' on 'rpm-helper' to fix installation if 'rpm-helper' is not installed before

  + wally <wally>
    - new version 0.11

* Tue Jan 03 2012 wally <wally> 0.10-1.mga2
+ Revision: 189984
- new version 0.10

* Thu Nov 17 2011 wally <wally> 0.9-1.mga2
+ Revision: 168377
- new version 0.9

* Thu Oct 27 2011 wally <wally> 0.8-1.mga2
+ Revision: 158797
- new version 0.8

* Wed Sep 28 2011 wally <wally> 0.7-1.mga2
+ Revision: 149934
- new version 0.7

* Fri Sep 16 2011 wally <wally> 0.6-1.mga2
+ Revision: 144292
- new version 0.6

* Mon Sep 05 2011 wally <wally> 0.5-1.mga2
+ Revision: 138880
- new version 0.5
- new version 0.4
- make devel package require the lib one
- fix requires
- imported package p11-kit

  + fwang <fwang>
    - new version 0.3

